[jpos-users] jPOS : 2.0.8 Version --> Unable to resolve dependency --> com.sleepycat.je : je:7.0.6

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[jpos-users] jPOS : 2.0.8 Version --> Unable to resolve dependency --> com.sleepycat.je : je:7.0.6

Mayank Gupta
I want to use latest version of jPOS for my application. So I switched to jPOS:2.0.8

But gradle was unable to resolve dependency as jPOS:2.0.8 has a dependency on com.sleepycat.je:je:7.0.6

I have checked the maven repository and there sleepycat's latest version is 5.0.73

Any solution to this.

repository link :

sleepycat.je --> http://repo.maven.apache.org/maven2/com/sleepycat/je/
jpos --> http://repo.maven.apache.org/maven2/org/jpos/jpos/

--
--
jPOS is licensed under AGPL - free for community usage for your open-source project. Licenses are also available for commercial usage. Please support jPOS, contact: [hidden email]
---
You received this message because you are subscribed to the Google Groups "jPOS Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jpos-users/6962d8a8-6cd0-42d9-a086-3232e917d38e%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[jpos-users] Re: jPOS : 2.0.8 Version --> Unable to resolve dependency --> com.sleepycat.je : je:7.0.6

chhil

Search the group it has been answered before....

https://groups.google.com/forum/#!msg/jpos-users/fa4o7ke41BQ/n0xl_pSIBQAJ
See if this helps.

-chhil

On Wednesday, April 12, 2017 at 1:18:44 AM UTC-7, Mayank Gupta wrote:
I want to use latest version of jPOS for my application. So I switched to jPOS:2.0.8

But gradle was unable to resolve dependency as jPOS:2.0.8 has a dependency on com.sleepycat.je:je:7.0.6

I have checked the maven repository and there sleepycat's latest version is 5.0.73

Any solution to this.

repository link :

<a href="http://sleepycat.je" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsleepycat.je\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNHBnDvQgaVPUfwM6x1q20woQPglHQ&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fsleepycat.je\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNHBnDvQgaVPUfwM6x1q20woQPglHQ&#39;;return true;">sleepycat.je --> <a href="http://repo.maven.apache.org/maven2/com/sleepycat/je/" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Frepo.maven.apache.org%2Fmaven2%2Fcom%2Fsleepycat%2Fje%2F\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNG-UxAvJsZ5TfrrsmpI4_FJrzKviA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Frepo.maven.apache.org%2Fmaven2%2Fcom%2Fsleepycat%2Fje%2F\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNG-UxAvJsZ5TfrrsmpI4_FJrzKviA&#39;;return true;">http://repo.maven.apache.org/maven2/com/sleepycat/je/
jpos --> <a href="http://repo.maven.apache.org/maven2/org/jpos/jpos/" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Frepo.maven.apache.org%2Fmaven2%2Forg%2Fjpos%2Fjpos%2F\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNHyNNTW_VyWFt3IH8dteCF5hO9nwg&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Frepo.maven.apache.org%2Fmaven2%2Forg%2Fjpos%2Fjpos%2F\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNHyNNTW_VyWFt3IH8dteCF5hO9nwg&#39;;return true;">http://repo.maven.apache.org/maven2/org/jpos/jpos/

--
--
jPOS is licensed under AGPL - free for community usage for your open-source project. Licenses are also available for commercial usage. Please support jPOS, contact: [hidden email]
---
You received this message because you are subscribed to the Google Groups "jPOS Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jpos-users/8bf68f83-17d0-4f8a-8173-b523a752aa89%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[jpos-users] Re: jPOS : 2.0.8 Version --> Unable to resolve dependency --> com.sleepycat.je : je:7.0.6

Mayank Gupta
In reply to this post by Mayank Gupta
Yes, I already saw that link and tried to add maven { url 'http://download.oracle.com/maven' }. But still I am facing the same issue. I tried to hit this url in my browser and it is giving 404 : "We're sorry, the page you requested was not found."

--
--
jPOS is licensed under AGPL - free for community usage for your open-source project. Licenses are also available for commercial usage. Please support jPOS, contact: [hidden email]
---
You received this message because you are subscribed to the Google Groups "jPOS Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jpos-users/2623728b-a824-46de-8377-68d746538c87%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [jpos-users] Re: jPOS : 2.0.8 Version --> Unable to resolve dependency --> com.sleepycat.je : je:7.0.6

chhil

Not sure if this will help...

ran

gradlew dist

Checked the distribution folder and the libs contained je-7.0.6.jar

Try comparing the build.gradle of what you have and whats in the repo.

-chhil



On Wed, Apr 12, 2017 at 2:10 PM, Mayank Gupta <[hidden email]> wrote:
Yes, I already saw that link and tried to add maven { url 'http://download.oracle.com/maven' }. But still I am facing the same issue. I tried to hit this url in my browser and it is giving 404 : "We're sorry, the page you requested was not found."

--
--
jPOS is licensed under AGPL - free for community usage for your open-source project. Licenses are also available for commercial usage. Please support jPOS, contact: [hidden email]
---
You received this message because you are subscribed to the Google Groups "jPOS Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jpos-users/2623728b-a824-46de-8377-68d746538c87%40googlegroups.com.

For more options, visit https://groups.google.com/d/optout.

--
--
jPOS is licensed under AGPL - free for community usage for your open-source project. Licenses are also available for commercial usage. Please support jPOS, contact: [hidden email]
---
You received this message because you are subscribed to the Google Groups "jPOS Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jpos-users/CAPazefDorPozZZAjPOcgJ%3DCA34NesLk9NgGoFLbfWQNw7ihsZw%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [jpos-users] Re: jPOS : 2.0.8 Version --> Unable to resolve dependency --> com.sleepycat.je : je:7.0.6

Barzilai Spinak
In reply to this post by Mayank Gupta
On 4/12/17 5:40 AM, Mayank Gupta wrote:
> Yes, I already saw that link and tried to add maven { url 'http://download.oracle.com/maven <http://download.oracle.com/maven>' }. But still I am
> facing the same issue. I tried to hit this url in my browser and it is giving 404 : "We're sorry, the page you requested was not found."

Can you download this direct link?

 http://download.oracle.com/maven/com/sleepycat/je/7.0.6/je-7.0.6.jar

If you can, you may have some configuration problem (maybe clean your gradle cache?) If you can't, your network/firewall may be blocking you

--
Barzilai Spinak
Transactility, Inc.
www.transactility.com
"Commercial licensing and support for the jPOS.org project"

--
--
jPOS is licensed under AGPL - free for community usage for your open-source project. Licenses are also available for commercial usage.  Please support jPOS, contact: [hidden email]
---
You received this message because you are subscribed to the Google Groups "jPOS Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jpos-users/18ff3d50-0161-aa3c-ed9d-70d2f0db1a4f%40transactility.com.
For more options, visit https://groups.google.com/d/optout.
Loading...